# Verify Server

You can use SVRUnit to verify that a certain server has everything you need.

A classical usage is, that you **order a server** from your hoster with different requirements.\
You can build a YML file with all tests of your requirements and simply **run the tests, once your server is ready**.

A good recommendation is to use the plain PHAR file for this.

Here is a sample how it could look like

#### XML Configuration

```xml
<svrunit>  
  <testsuites>   
      
      <testsuite name="My Server Tests">         
         <file>./shopware6.yml</file>      
      </testsuite>   
        
  </testsuites>
</svrunit>
```

#### Test  File

<pre><code>commands:

  - name: "VIM is installed"
    command: "vim --v"
    expected: "VIM - Vi IMproved"
    
  - name: "Permission: Verify 'www-data' has no shell login"
    command: "cat /etc/passwd"
    expected: "www-data:x:33:33:www-data:/var/www:/usr/sbin/nologin"
    
php_ini:  

  - name: "PHP Version is 8.1 for Web"  
    setting: "PHP_VERSION"  
    mode: "web"   
    value_or:    
      - operator: "="   
        value: "8.1"  
  
  - name: "PHP Version is 8.1 for CLI"  
    setting: "PHP_VERSION"  
    mode: "cli"   
    value_or:    
      - operator: "="   
        value: "8.1"  
        
  - name: "memory_limit 512M" 
    setting: "memory_limit"   
    mode: "web"   
    value_or:  
      - operator: "="   
        value: "512M"
  
php_module:

  - name: "ext-curl is installed"   
<strong>    module: "curl"
</strong><strong>    
</strong></code></pre>

&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.svrunit.com/use-cases/verify-server.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
